Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.orgmodel
Class RunResourceQueryForVersion

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.orgmodel.RunResourceQueryForVersion

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<OrgModelEntityResult>, net.customware.gwt.dispatch.shared.Action<OrgModelEntityResult>

    public class RunResourceQueryForVersion

extends java.lang.Object
implements OSAction<OrgModelEntityResult>

Run a resource query against the Directory Engine and a particular version of the Org Model

A resource query will return an `OrgModelEntityResult` which contains the matching entities.

For details of the resource query language see the Directory Engine Resource Query Language documentation.

A simple example to return all resources would be : "resource(name='*')"

©2013 TIBCO Software Inc.

Since:
  2.2.0
See Also:
  `OrgModelEntityResult`

Constructor Summary
`RunResourceQueryForVersion(java.lang.String query, int version)` Constructs a new RunResourceQueryForVersion Action

Method Summary
`java.lang.String` | `getQuery()` The query to execute.
`int` | `getVersion()` The version of the org model to query.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunResourceQueryForVersion

    public RunResourceQueryForVersion(java.lang.String query,
                                      int version)

  Constructs a new RunResourceQueryForVersion Action

  Parameters:
    `query` - The query to execute. This must conform to the RQL syntax.
    `version` - The Version of the org model to query. -1 means the latest version.

Method Detail

### getQuery

    public java.lang.String getQuery()

  The query to execute. This must conform to the RQL syntax.

  Returns:
    Returns the query.

### getVersion

    public int getVersion()

  The version of the org model to query.

  Returns:
    Returns the version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.